MBeanStatsTestCase (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.management.bean.stats

## Class MBeanStatsTestCase

- java.lang.Object
- - org.apache.geode.management.bean.stats.MBeanStatsTestCase

-     public abstract class MBeanStatsTestCase
      extends java.lang.Object

  Base test case for the management.bean.stats tests.
  Since:
    GemFire 7.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static long` | `SLEEP`
    `protected org.apache.geode.distributed.internal.InternalDistributedSystem` | `system`
    `protected static long` | `TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MBeanStatsTestCase()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `init()`
    `protected void` | `sample()`
    `void` | `setUp()`
    `void` | `tearDown()`
    `protected void` | `waitForNotification()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SLEEP

          protected static final long SLEEP

      See Also:
        Constant Field Values

    - #### TIMEOUT

          protected static final long TIMEOUT

      See Also:
        Constant Field Values

    - #### system

          protected org.apache.geode.distributed.internal.InternalDistributedSystem system

  - ### Constructor Detail

    - #### MBeanStatsTestCase

          public MBeanStatsTestCase()

  - ### Method Detail

    - #### setUp

          public void setUp()
                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### tearDown

          public void tearDown()
                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### waitForNotification

          protected void waitForNotification()
                                      throws java.lang.InterruptedException

      Throws:
        `java.lang.InterruptedException`

    - #### sample

          protected void sample()
                         throws java.lang.InterruptedException

      Throws:
        `java.lang.InterruptedException`

    - #### init

          protected abstract void init()